macroScript WindowCreator category:"WindowCreator" tooltip:"WindowCreator v1.1"  Icon: #("WindowCreator", 1) --silentErrors: true
(

on execute do 
(

--SYSTEM VARIABLES TO ADJUST PARAMETERS OF THE WINDOW
global ws=1 --window-sill. values: 1 - present, 0 - not present

global wfwidth=[10,10,0] --width of the window-frame: first value - width on X, second - width on Y, third - don't change

global apertures=1 --quantity of the apertures: 1, 2 or 3

global wfthickness=10 --extrusion amount of the window-frame 
global glassthickness=2 --extrusion amount of the window-glass

global wswidth=40 --width of the window-sill
global wsthickness=2 --width of the window-sill
global wsradius=2 --fillet of the window-sill
global wsoffset=10 --window-sill longer in comparison with window-frame by this value

global mglass="window-glass" --Name of the glass material, if same name already exists then new material will not be created.
global mwf="window-frame" --Name of the window-frame and window-sill material, if same name already exists then new material will not be created.

filein "WindowCreator.mse"
)
)